## math-image-115.tar.gz

=== devel/Makefile ===
# Copyright 2010, 2011 Kevin Ryde

# This file is part of Math-Image.
#
# Math-Image is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Math-Image is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Math-Image.  If not, see <http://www.gnu.org/licenses/>.


CFLAGS = -Wall -g
LOADLIBES = -lmpfr -lgmp -lm

misc: misc.c Makefile
	$(CC) $(CFLAGS) misc.c $(LOADLIBES) -o misc

gen-bits: gen-bits.c Makefile
	$(CC) $(CFLAGS) gen-bits.c $(LOADLIBES) -o gen-bits

=== debian/changelog ===
math-image (115-0.1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42_kevin@yahoo.com.au>  Sun, 12 Jul 2020 11:06:36 +1000

=== debian/control ===
# Copyright 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Kevin Ryde
#
# This file is part of Math-Image.
#
# Math-Image is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Math-Image is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Math-Image.  If not, see <http://www.gnu.org/licenses/>.

# Recommends: 
# Depends: 
# 
#

Source: math-image
Section: math
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42_kevin@yahoo.com.au>
Standards-Version: 4.2.1
Homepage: http://user42.tuxfamily.org/math-image/index.html
Bugs: mailto:user42_kevin@yahoo.com.au

Package: math-image
Architecture: all
Depends: libmath-basecnv-perl, libclone-pp-perl, libcompress-zlib-perl | perl (>= 5.10), libconstant-defer-perl, libfile-homedir-perl, libgeometry-affinetransform-perl (>= 1.3), libglib-perl (>= 1:1.220), libglib-ex-objectbits-perl (>= 16), libglib-ex-connectproperties-perl (>= 14), libgtk2-perl (>= 1:1.220), libgtk2-ex-widgetbits-perl (>= 47), libgtk2-ex-widgetcursor-perl (>= 15), libgtk2-ex-dragger-perl (>= 2), libgtk2-ex-numaxis-perl (>= 2), libgtk2-ex-comboboxbits-perl (>= 31), libgtk2-ex-splash-perl (>= 1), libimage-base-perl (>= 1.16), libimage-base-gtk2-perl (>= 11), libimage-base-other-perl (>= 8), libintl-perl (>= 1.19), liblist-pairwise-perl, libmath-numseq-perl (>= 38), libmath-planepath-perl (>= 83), libmath-libm-perl, libmath-prime-xs-perl (>= 0.23), libmodule-util-perl, libnumber-format-perl, libproc-syncexec-perl, libregexp-common-perl, libscope-guard-perl, libsoftware-license-perl (>= 0.001), libterm-size-perl, libtext-capitalize-perl, perl (>= 5.8.0), ${perl:Depends}, ${misc:Depends}
Recommends: libmath-numseq-perl (>= 71), libmath-numseq-alpha-perl (>= 2), libmath-planepath-perl (>= 126), libmath-planepath-toothpick-perl (>= 16), libgtk2-ex-xor-perl, libmath-aronson-perl (>= 6), libmath-symbolic-perl (>= 0.605) | libmath-expression-evaluator-perl, libimage-base-x11-protocol-perl, libx11-protocol-other-perl (>= 3), libimage-base-gd-perl (>= 8) | libimage-base-pngwriter-perl (>= 7), libimage-xpm-perl
Suggests: libimage-base-svg-perl (>= 3)
Description: Display some mathematical images
 This program draws images like the Ulam spiral of prime numbers.  It
 can show them in a Gtk2 or Wx GUI or write PNG and other file formats.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2011, 2012, 2014 Kevin Ryde

# This file is part of math-image.
#
# math-image is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# math-image is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with math-image.  If not, see <http://www.gnu.org/licenses/>.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk

# instead of makemaker default "math-image.1p"
DEB_MAKEMAKER_USER_FLAGS = MAN1EXT=1

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2010, 2017 Kevin Ryde
#
# This file is part of math-image.
#
# math-image is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# math-image is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with math-image.  If not, see <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
https://user42.tuxfamily.org/math-image/index.html \
	.*/math-image-([0-9]+)\.tar\.gz
